@font-face {
  font-family: 'icons';
  src: url('../fonts/icons.woff2?fpdbxg') format('woff2'),
       url('../fonts/icons.woff?fpdbxg') format('woff');
  font-weight: normal;
  font-style: normal;
  font-display: block;
}

[class^="icon-"],
[class*=" icon-"] {
  display: flex;
  align-items: center;
}

[class^="icon-"]::before,
[class*=" icon-"]::before {
  /* use !important to prevent issues with browser extensions that change fonts */
  font-family: 'icons' !important;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  line-height: 1;
  font-size: 24px;

  /* Better Font Rendering =========== */
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.icon-light:before {
  content: "\e906";
}

.icon-dark:before {
  content: "\e917";
}

.icon-add:before {
  content: "\e900";
}
.icon-angle-left:before {
  content: "\e902";
}
.icon-angle-down:before {
  content: "\e901";
}
.icon-arrow-link:before {
  content: "\e903";
}
.icon-arrow-right:before {
  content: "\e904";
}
.icon-buynow:before {
  content: "\e905";
}
.icon-close:before {
  content: "\e907";
}
.icon-copy:before {
  content: "\e908";
}
.icon-discord:before {
  content: "\e909";
}
.icon-eth:before {
  content: "\e90a";
}
.icon-ethscan:before {
  content: "\e90b";
}
.icon-filter-angle:before {
  content: "\e90c";
}
.icon-filter:before {
  content: "\e90d";
}
.icon-heart:before {
  content: "\e90e";
}
.icon-inst:before {
  content: "\e90f";
}
.icon-original:before {
  content: "\e910";
}
.icon-planet1:before {
  content: "\e911";
}
.icon-reddit:before {
  content: "\e912";
}
.icon-refresh:before {
  content: "\e913";
}
.icon-search:before {
  content: "\e914";
}
.icon-share:before {
  content: "\e915";
}
.icon-twitter:before {
  content: "\e916";
}
.icon-planet:before {
  content: "\e9c9";
}

.icon-buynow::before,
.icon-dark::before,
.icon-light::before {
  font-size: 22px;
}

.icon-add::before {
  font-size: 14px;
  font-weight: 600;
}

.icon-verify {
  width: 16px;
  height: 16px;
}

.icon-planet::before,
.icon-twitter::before,
.icon-inst::before,
.icon-discord::before,
.icon-reddit::before {
  font-size: 18px;
}

.icon-arrow-link::before {
  font-size: 10px;
}

.icon-angle-left::before {
  font-size: 20px;
}